package org.dromara.system.mapper;

import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.TblDzbcSitePrice;
import org.dromara.system.domain.vo.TblDzbcSitePriceVo;

import java.util.Collection;
import java.util.List;

public interface TblDzbcSitePriceMapper extends BaseMapperPlus<TblDzbcSitePrice, TblDzbcSitePriceVo> {

    List<TblDzbcSitePriceVo> selectVoList(TblDzbcSitePriceVo vo);

    TblDzbcSitePriceVo selectVoById(Long id);

    List<TblDzbcSitePriceVo> selectVoByIds(Collection<Long> ids);

    List<TblDzbcSitePriceVo> selectByPathId(Long pathId);
}
